Bug 1016353 - [de_DE][Reports Portal] Dashboard text not fully showing under graph
[de_DE][Reports Portal] Dashboard text not fully showing under graph
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports (Show other bugs)
3.3.0
Unspecified Unspecified
low Severity low
: ---
: 3.5.0
Assigned To: Shirly Radco
Yuko Katabami
infra
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 22:19 EDT by Jasna Dimanoski
Modified: 2016-04-18 06:41 EDT (History)
14 users (show)

See Also:
Fixed In Version: oVirt Beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:15:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dashboard text not fully showing under graph (21.08 KB, image/png)
2013-10-07 22:19 EDT, Jasna Dimanoski
no flags Details
confirmed the fix (tooltip) (131.73 KB, image/png)
2014-11-12 17:46 EST, Yuko Katabami
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 28543 master MERGED reports: added to bar tooltip series value Never

  None (edit)
Description Jasna Dimanoski 2013-10-07 22:19:33 EDT
Created attachment 809051 [details]
Dashboard text not fully showing under graph

Description of problem:

When running Dashboard  Dashboard text under graph not fully displayed for German (see screenshot)


Version-Release number of selected component (if applicable):

version-release
3.3

How reproducible: 100%



Steps to Reproduce:
1.Select Dashboards under All types, right-click on a dashboard from the dashboard list, click/check and finish the pages for the following right-click menu:
2. Run, check the dashboard pages.
3.

Actual results:

Text under graph is not fully displayed


Expected results:
Text should be fully displayed


Additional info:
Comment 1 Yaniv Lavi 2013-10-14 07:18:49 EDT
Is there any possibility to shorten the text in the legend?


Yaniv
Comment 2 Jasna Dimanoski 2013-10-14 19:15:55 EDT
(In reply to Yaniv Dary from comment #1)
> Is there any possibility to shorten the text in the legend?
> 
> 
> Yaniv

No there is no shorter way to say this. Sorry, German tends to be longer than English.

Jasna
Comment 3 Yaniv Lavi 2013-10-16 08:40:28 EDT
(In reply to Jasna Dimanoski from comment #2)
> (In reply to Yaniv Dary from comment #1)
> > Is there any possibility to shorten the text in the legend?
> > 
> > 
> > Yaniv
> 
> No there is no shorter way to say this. Sorry, German tends to be longer
> than English.
> 
> Jasna

What is the length of the string that is cut?
Comment 4 Jasna Dimanoski 2013-10-17 00:18:51 EDT
(In reply to Yaniv Dary from comment #3)
> (In reply to Jasna Dimanoski from comment #2)
> > (In reply to Yaniv Dary from comment #1)
> > > Is there any possibility to shorten the text in the legend?
> > > 
> > > 
> > > Yaniv
> > 
> > No there is no shorter way to say this. Sorry, German tends to be longer
> > than English.
> > 
> > Jasna
> 
> What is the length of the string that is cut?

Hi Yaniv,

Under the left graph two words:

Arbeitsspeicherleistung
Arbeitsspeicherwert

Under the right graph:

Geplante Stillstandszeit
Ungeplante Stillstandszeit

Kind regards,

Jasna
Comment 5 Barak 2013-10-20 11:45:24 EDT
Arthur,

We don't see a way we can fix that other than resizing the graphs, but this will influence the entire webadmin dashboard design, and I'm sure this is not the way we want to go. 
or we can drop the German translation for these terms.

Your call.
Comment 6 Arthur Berezin 2013-10-28 06:20:21 EDT
Hi Jasna,

Is it understandable what was word before it was cut off?
(for example opts would stand for options)
Comment 7 Jasna Dimanoski 2013-10-28 17:14:17 EDT
(In reply to Arthur Berezin from comment #6)
> Hi Jasna,
> 
> Is it understandable what was word before it was cut off?
> (for example opts would stand for options)

Hi Arthur,

No, unfortunately not - the text under the graph is a compound noun and it cuts out after a couple of letters from one of the nouns, so it does not make any sense the way it currently looks. 
One can of course derive what is meant by looking at other parts of the screen, but it is not obvious when looking at it or user-friendly. 

Kind regards,

Jasna
Comment 8 Yaniv Lavi 2013-11-17 11:38:52 EST
Been more than two weeks and got no reply. Moving to 3.4.0 for now.



Yaniv
Comment 9 Yaniv Lavi 2013-12-19 12:15:33 EST
Please reply.


Yaniv
Comment 10 Jasna Dimanoski 2013-12-19 17:22:37 EST
(In reply to Yaniv Dary from comment #9)
> Please reply.
> 
> 
> Yaniv

Hi Yaniv,

Was there another question after comment 6? The last question I received and which I replied to was: 

(In reply to Arthur Berezin from comment #6)
> Hi Jasna,
> 
> Is it understandable what was word before it was cut off?
> (for example opts would stand for options)

The answer was "no, it is not understandable".

Please let me know if I missed something.

Regards,

Jasna
Comment 11 Yaniv Lavi 2014-01-29 08:54:04 EST
Got no reply. Moving to 3.5.0.



Yaniv
Comment 12 Arthur Berezin 2014-03-03 08:18:44 EST
Jasna, would adding a tooltip on hovering on the legend item be sufficient?
Comment 13 Jasna Dimanoski 2014-03-04 16:19:48 EST
(In reply to Arthur Berezin from comment #12)
> Jasna, would adding a tooltip on hovering on the legend item be sufficient?

Hi Arthur,

I am not sure if I understand the idea correctly - you mean the translated text appears in full length? If that's what you mean, that would work I think.

Kind regards,

Jasna
Comment 14 Jasna Dimanoski 2014-03-04 16:49:16 EST
(In reply to Jasna Dimanoski from comment #13)
> (In reply to Arthur Berezin from comment #12)
> > Jasna, would adding a tooltip on hovering on the legend item be sufficient?
> 
> Hi Arthur,
> 
> I am not sure if I understand the idea correctly - you mean the translated
> text appears in full length? If that's what you mean, that would work I
> think.
> 
> Kind regards,
> 
> Jasna

I just re-read my reply and realized it was ambiguous. 

Yuko has just confirmed that a pop-up with the truncated text appearing in full length is what you propose.

I think this would work fine.

Regards,

Jasna
Comment 20 Yuko Katabami 2014-11-12 17:46:11 EST
Created attachment 956885 [details]
confirmed the fix (tooltip)

Thanks Yaniv!

I verified the fix on rhevm-reports-3.5.0-9.el6ev.noarch.
Jasna also confirmed it.

Moving the status to VERIFIED.
Comment 21 Eyal Edri 2015-02-17 12:15:57 EST
rhev 3.5.0 was released. closing.

Note You need to log in before you can comment on or make changes to this bug.